Bug 241246 - firstboot (tui) crash when $LANG is not en_US.UTF-8
firstboot (tui) crash when $LANG is not en_US.UTF-8
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
rawhide
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 12:04 EDT by Sebastian Vahl
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 17:44:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot from an installation in virtualbox (40.37 KB, image/jpeg)
2007-05-24 12:04 EDT, Sebastian Vahl
no flags Details

  None (edit)
Description Sebastian Vahl 2007-05-24 12:04:55 EDT
Description of problem:
When $LANG is different than en_US.UTF-8 firstboot-tui crashes on startup.


Version-Release number of selected component (if applicable):
firstboot-1.4.35-1.fc7
firstboot-tui-1.4.35-1.fc7


How reproducible:
ever

Steps to Reproduce:
1. install from rawhide-20070517-i386-Live and choose different language in gdm
2. instead of runlevel 5 boot into runlevel 3

or from normal installation
1. init 3
2. rm -f /etc/sysconfig/firstboot
3. LANG=de_DE.UTF-8 firstboot
  
Actual results:
firstboot crashes


Expected results:
firstboot should work

Additional info:
If this is somehow related to rphl (bug #240787), with rhpl-0.207-1 it is also
not working.
Comment 1 Sebastian Vahl 2007-05-24 12:04:55 EDT
Created attachment 155359 [details]
Screenshot from an installation in virtualbox
Comment 2 Sebastian Vahl 2007-05-24 12:07:41 EDT
Oh, I've forgot to say: firstboot in gui mode runs fine with one exception:
smolt-firstboot does not show any data. When I've written down the error message
on tty2 I will open another bug for that.
Comment 3 Sebastian Vahl 2007-05-24 13:18:18 EDT
(In reply to comment #2)
> Oh, I've forgot to say: firstboot in gui mode runs fine with one exception:
> smolt-firstboot does not show any data. When I've written down the error message
> on tty2 I will open another bug for that.

bug #241254

(In reply to comment #1)
> Created an attachment (id=155359) [edit]
> Screenshot from an installation in virtualbox

additional note: running "firstboot" crashes immeadiatly. The screenshot shows
the tty after the crash. You have to reset it with "reset".

Comment 4 Jeremy Katz 2007-05-24 16:33:35 EDT
Fixed with rhpl-208

Note You need to log in before you can comment on or make changes to this bug.